SLADE Discussion - Latest: v3.2.5 (19/Dec/2023)

Any utility that assists in the creation of mods, assets, etc, go here. For example: Ultimate Doom Builder, Slade, WadSmoosh, Oblige, etc.
Forum rules
The Projects forums are ONLY for YOUR PROJECTS! If you are asking questions about a project, either find that project's thread, or start a thread in the General section instead.

Got a cool project idea but nothing else? Put it in the project ideas thread instead!

Projects for any Doom-based engine (especially 3DGE) are perfectly acceptable here too.

Please read the full rules for more details.
User avatar
sirjuddington
Posts: 1025
Joined: Wed Jul 16, 2003 4:47 am
Location: Australia

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by sirjuddington »

Kappes Buur wrote: Sun Jul 02, 2023 8:35 pm Will 3.2.4 also address this glitch with Open Map in Doombuilder ?
3.2.4 is already released so no it doesn't but it should be fixed for 3.2.5
User avatar
-Stormwalker-
Posts: 15
Joined: Sun May 08, 2022 11:40 am

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by -Stormwalker- »

sirjuddington wrote: Sat Jul 01, 2023 9:57 pm
-Stormwalker- wrote: Mon Jun 26, 2023 3:02 pm I'm getting the following error (or a similar error) every single time I try to change a sector's light level:

(stack trace cut)

If I do other things in the editor and then save, the nodebuilder appears to work and the map saves successfully, at least as far as I can tell. Can anyone assist?

EDIT: I tested other random wads and can confirm that this error does occur on other maps, so it is not confined to my current project.
That should be fixed in 3.2.4
How do I get 3.2.4? The latest version in the AUR is 3.2.3-1.
User avatar
DoomKrakken
Posts: 3482
Joined: Sun Oct 19, 2014 6:45 pm
Location: Plahnit Urff

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by DoomKrakken »

I've a couple of questions to ask...

When will there be a SLADE Dark Theme, and when will the Ctrl + Shift + R keyboard shortcut cause SLADE to execute its "Run Archive" function like it says?

My apologies if I come across as impatient... I don't ask about these issues all that often, but when I do there seems to be no response.
User avatar
sirjuddington
Posts: 1025
Joined: Wed Jul 16, 2003 4:47 am
Location: Australia

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by sirjuddington »

There is a github issue about a dark theme (https://github.com/sirjuddington/SLADE/issues/1188), basically currently it isn't possible but might be in the next version of wxWidgets.

I had no idea about the Ctrl+Shift+R shortcut not working, will look at it for 3.2.5
User avatar
DoomKrakken
Posts: 3482
Joined: Sun Oct 19, 2014 6:45 pm
Location: Plahnit Urff

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by DoomKrakken »

sirjuddington wrote: Thu Jul 06, 2023 1:11 am There is a github issue about a dark theme (https://github.com/sirjuddington/SLADE/issues/1188), basically currently it isn't possible but might be in the next version of wxWidgets.

I had no idea about the Ctrl+Shift+R shortcut not working, will look at it for 3.2.5
Thank you very much, I appreciate the response. :)

And thank you for looking into it. :D
User avatar
Kappes Buur
 
 
Posts: 4114
Joined: Thu Jul 17, 2003 12:19 am
Graphics Processor: nVidia (Legacy GZDoom)
Location: British Columbia, Canada

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by Kappes Buur »

-Stormwalker- wrote: Wed Jul 05, 2023 10:18 am How do I get 3.2.4? The latest version in the AUR is 3.2.3-1.
https://slade.mancubus.net/index.php?page=downloads
Gez
 
 
Posts: 17828
Joined: Fri Jul 06, 2007 3:22 pm

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by Gez »

The up-to-date versions available there are for Windows and Mac.

For Linux, there's just a link to Flathub where it seems to still be on 3.2.1.
User avatar
-Stormwalker-
Posts: 15
Joined: Sun May 08, 2022 11:40 am

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by -Stormwalker- »

Gez wrote: Mon Jul 10, 2023 1:54 am The up-to-date versions available there are for Windows and Mac.

For Linux, there's just a link to Flathub where it seems to still be on 3.2.1.
Correct, the Flathub is still 3.2.1, and the AUR version is 3.2.3-1. I am running Manjaro, which is UNIX-based, so I am not sure how to get 3.2.4. I did read the pages on the website and did not see a solution there, but perhaps I missed something.
yum13241
Posts: 777
Joined: Mon May 10, 2021 8:08 pm
Preferred Pronouns: He/Him
Operating System Version (Optional): EndeavorOS (basically Arch)
Graphics Processor: Intel with Vulkan/Metal Support

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by yum13241 »

Correction: Manjaro is Linux based.

Nobody uses UNIX anymore (except Intel spyware, aka Intel ME). Also, Manjaro likes to mess with system libraries, giving you older versions, which is fine untill you realize AUR packages expect newer libraries.

-- END RANT


Flag the AUR package as out of date. Compile from source manually. Or just wait.
User avatar
-Stormwalker-
Posts: 15
Joined: Sun May 08, 2022 11:40 am

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by -Stormwalker- »

yum13241 wrote: Mon Jul 10, 2023 3:30 pm Correction: Manjaro is Linux based.

Nobody uses UNIX anymore (except Intel spyware, aka Intel ME). Also, Manjaro likes to mess with system libraries, giving you older versions, which is fine untill you realize AUR packages expect newer libraries.

-- END RANT


Flag the AUR package as out of date. Compile from source manually. Or just wait.
Ah yes, I typed "UNIX" for some reason when I meant to type "Arch". My apologies.

I would gladly compile it myself, but I can't determine how to do that on an Arch-based system.
yum13241
Posts: 777
Joined: Mon May 10, 2021 8:08 pm
Preferred Pronouns: He/Him
Operating System Version (Optional): EndeavorOS (basically Arch)
Graphics Processor: Intel with Vulkan/Metal Support

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by yum13241 »

Here
https://github.com/sirjuddington/SLADE/ ... ompilation

If you can't get certain libraries or SLADE acts up because of wrong library versions, blame Manjaro. It does quite a lot of weird things with the system. See: https://youtu.be/5KNK3e9ScPo
User avatar
MrResident
Posts: 6
Joined: Tue Oct 10, 2017 5:40 pm
Preferred Pronouns: He/Him
Operating System Version (Optional): Windows 10

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by MrResident »

Bit of a question bump, but is there a way to toggle the old mouse dragging for graphic offsets, with the pixel snapping? I miss using that, but I couldn't find any options in the newer versions.
User avatar
Leon_Portier
Posts: 62
Joined: Sun Feb 12, 2017 3:30 pm
Location: Dark side of Bavaria

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by Leon_Portier »

Hello, I'm compiling Slade on Linux Mint 21.2. I'm a bit new to linux and compiling. I've been using the Ubuntu step by step guide: http://slade.mancubus.net/index.php?pag ... ompilation
Did figure out some errors but on this one I'm stuck:

It looks to me like I missed some kind of wxWidgets library.
Cmake output:
Spoiler:
A search in the apt cache brings up a pretty long list, I wonder if the library thats required is in the list?
I've installed a few already manually, like libwxbase3.0-0v5 and libwxbase3.0-dev. Error is still the same though.
Spoiler:
I've learned a lot from this, but now I'm stumped. What would the next step in solving this look like?
I'd be happy to hear, thanks!
User avatar
sirjuddington
Posts: 1025
Joined: Wed Jul 16, 2003 4:47 am
Location: Australia

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by sirjuddington »

The ones you need from that list are libwxgtk3.0-gtk3-dev and libwxgtk-webview3.0-gtk3-dev, i think that should work
User avatar
Leon_Portier
Posts: 62
Joined: Sun Feb 12, 2017 3:30 pm
Location: Dark side of Bavaria

Re: SLADE Discussion - Latest: v3.2.4 (21/June/2023)

Post by Leon_Portier »

sirjuddington wrote: Mon Nov 20, 2023 5:12 pm The ones you need from that list are libwxgtk3.0-gtk3-dev and libwxgtk-webview3.0-gtk3-dev, i think that should work
Thanks!
Those and a bunch of other ones I could find from the error messages, like libbz2-dev or libmpg123-dev, were needed.

While building I get the following errors, they are about the AudioEntryPanel.cpp. Maybe I did get the wrong library.
Maybe I should try the DRD team repository instead?

Spoiler:

Return to “Creation, Conversion, and Editing”